summaryrefslogtreecommitdiff
path: root/sci-libs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-23 20:30:35 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-23 20:30:35 +0000
commite206cb86bd6474203c8883366394d2755624bdd0 (patch)
treedd9e2f4715c216c6980213730750281d15d7db56 /sci-libs
parent5068c28ae628759d2eff5a25b5f6e06f43551a2b (diff)
downloadbaldeagleos-repo-e206cb86bd6474203c8883366394d2755624bdd0.tar.gz
baldeagleos-repo-e206cb86bd6474203c8883366394d2755624bdd0.tar.xz
baldeagleos-repo-e206cb86bd6474203c8883366394d2755624bdd0.zip
Updating liguros repo
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/pyshp/Manifest1
-rw-r--r--sci-libs/pyshp/pyshp-2.1.2.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/sci-libs/pyshp/Manifest b/sci-libs/pyshp/Manifest
index 93db1c90cc7a..4ed1738c29eb 100644
--- a/sci-libs/pyshp/Manifest
+++ b/sci-libs/pyshp/Manifest
@@ -1 +1,2 @@
DIST pyshp-2.1.0.tar.gz 215360 BLAKE2B 2b32a3db242b90f801abdbc31f3c930bc40c3ad0606433d90f62c6b9af3c0459e8c8467d60aec1075368779e5a4fffa9e3985e1875d82edf732faf982359c605 SHA512 ab0c7832f7e480ec3cdbf94ec29f84b590486625bde3d5cf465e5dc6ddca02998b99510b6c14d5ba005816c5b091044badc1e68988fd971f9e18266096ad86cb
+DIST pyshp-2.1.2.tar.gz 217857 BLAKE2B f4c50e16987b13b7968fe37e4e7f20329b6871c879b837113aac281527f6a00d5d13e10f93e8ecd5896cf089d801d76cec5d93645a6919fbc48d96d4318bb767 SHA512 54fadaa133d3fbf3b9a318be02dd21c2a35a3c58c15de8e6d0cffa6ca83eefe12603fe5930d3df63ad4c6a6d711336752f08923c6406168207ac291d05592582
diff --git a/sci-libs/pyshp/pyshp-2.1.2.ebuild b/sci-libs/pyshp/pyshp-2.1.2.ebuild
new file mode 100644
index 000000000000..616a4e1af962
--- /dev/null
+++ b/sci-libs/pyshp/pyshp-2.1.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Pure Python read/write support for ESRI Shapefile format"
+HOMEPAGE="https://pypi.org/project/pyshp/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${EPYTHON}" shapefile.py || die
+}